Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8081475

SystemTap does not work when JDK is compiled with GCC 5

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 8-pool, 9
    • Fix Version/s: 9
    • Component/s: hotspot
    • Labels:
    • Subcomponent:
      svc
    • Resolved In Build:
      b69
    • OS:
      linux

      Backports

        Description

        I tried to build jdk9/hs-rt on Fedora 22 with GCC 5.1.1 .
        However, libjvm.so did not have .note.stapsdt section.

        When I ran make command with LOG=info, I found a message as below:
        ---------------
        **NOTICE** Dtrace support disabled: gcc version is too old
        ---------------

        hotspot/make/linux/makefiles/dtrace.make checks C compiler version.
        However, its condition cannot check 5.x or later.

        So I fix the condition, and it works fine on my environment.

        This issue is occurred on 8u-dev. So I also want to fix it for 8u-dev.

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                ysuenaga Yasumasa Suenaga
                Reporter:
                ysuenaga Yasumasa Suenaga
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: